'use strict'

/** @type {typeof import('@adonisjs/lucid/src/Lucid/Model')} */
const Model = use('Model')

class Submission extends Model {

  element() {
    return this.belongsTo('App/Models/Element')
  }

  steward() {
    return this.belongsTo('App/Models/Steward')
  }

  status() {
    return this.belongsTo('App/Models/Status')
  }

}

module.exports = Submission
